import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import {Observable, Observer} from 'rxjs';
export interface ExampleTab {
  label: string;
  content: string;
}

@Component({
  selector: 'app-project',
  templateUrl: './project.component.html',
  styleUrls: ['./project.component.css']
})
export class ProjectComponent implements OnInit {
  id: number;
  name: string;
  asyncTabs: Observable<ExampleTab[]>;
  constructor() {
    console.log(window.history.state);
    this.id = window.history.state.id;
    this.name = window.history.state.name;
    this.asyncTabs = new Observable((observer: Observer<ExampleTab[]>) => {
      setTimeout(() => {
        observer.next([
          {label: 'Github', content: 'Content 1'},
          {label: 'Confluence', content: 'Content 2'},
          {label: 'JIRA', content: 'Content 3'},
          {label: 'Slack', content: 'Content 4'}
        ]);
      }, 1000);
    });
  }
  ngOnInit(): void {
  }

}
